summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoregnappahz2020-01-07 20:47:42 +0100
committeregnappahz2020-01-07 20:47:42 +0100
commite1436a2a1ed0bbaaad53229cbc73b0065e451a59 (patch)
treed5c54dd0f9f09eb81050683966fc03b2b63e6fb4
downloadaur-e1436a2a1ed0bbaaad53229cbc73b0065e451a59.tar.gz
Initial commit
Signed-off-by: egnappahz <egnappah@gmail.com>
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD58
2 files changed, 72 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..58645106b4d
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = pluma-python3
+ pkgver = 1.23.2
+ pkgrel = 1
+ url = https://github.com/mate-desktop/pluma
+ arch = x86_64
+ license = GNU GENERAL PUBLIC LICENSE Version 2
+ makedepends = mate-common
+ makedepends = yelp-tools
+ source = git+https://github.com/mate-desktop/pluma#tag=v1.23.2
+ sha256sums = SKIP
+
+pkgname = pluma-python3
+ pkgdesc = Compiles the newest pluma that doesn't need python2
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..e0d52d19777
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,58 @@
+# Maintainer: Steven De Bondt <egnappah at gmail dot com>
+
+pkgbase=pluma-python3
+_srcname=pluma
+_tag=v1.23.2
+pkgver=1.23.2
+pkgrel=1
+arch=('x86_64')
+url="https://github.com/mate-desktop/pluma"
+license=('GNU GENERAL PUBLIC LICENSE Version 2')
+makedepends=('mate-common' 'yelp-tools')
+
+# We all love colors. Stop pretending you don't.
+BRED="\033[1;31m"
+BYELLOW='\033[1;93m'
+BORANGE='\033[01;38;5;214m'
+BGREEN='\033[1;92m'
+NOCOLOR='\033[0m'
+
+
+source=("git+https://github.com/mate-desktop/pluma#tag=$_tag")
+sha256sums=('SKIP')
+
+pkgver() {
+ echo $pkgver
+}
+
+prepare() {
+ echo -e "${BYELLOW}Now ${BGREEN}checking and configuring${BYELLOW} via the autogen.${NOCOLOR}"
+ sleep 1
+ cd "${_srcname}"
+ ./autogen.sh
+}
+
+build() {
+ #git checkout tags/$_tag
+ echo -e "${BYELLOW}Now ${BGREEN}building${BYELLOW} pluma${NOCOLOR}"
+ cd "${_srcname}"
+ make
+ sleep 2
+ echo -e "${BYELLOW}Now ${BGREEN}preparing${BYELLOW} packaging parameters..${NOCOLOR}"
+ mkdir ../build || echo -e "${BGREEN}OK: dir ready.${NOCOLOR}"
+ sleep 1
+ cd ../build
+ DESTDIR=$PWD
+ cd "../${_srcname}"
+ echo -e "${BYELLOW}Now ${BGREEN}writing out${BYELLOW} packaging files..${NOCOLOR}"
+ sleep 1
+ make install
+}
+
+package() {
+ pkgdesc="Compiles the newest pluma that doesn't need python2"
+ echo -e "${BYELLOW}Packaging files..${NOCOLOR}"
+ cp -vr build/* ../pkg/$pkgbase/
+}
+
+pkgname=("${pkgbase}")